<!doctype html> 
<html lang="en">

<head>
<SCRIPT LANGUAGE="JavaScript">

// <!-- Original: Michael Tartaglia <stonedstan@hotmail.com> -->
// <!-- Web Site:  http://www.geocities.com/SiliconValley/Horizon/5235 -->



// <!-- Begin
msg = new Array("Practicing with your typing can greatly help your overall computer skills.",
"A new computer is sold in the US every hour!",
"When do birds migrate from North to South?",
"Perplexing phrases, like this one, are tougher to type.")
word = 10
function m() {
msg = new Array("Practicing with your typing can greatly help your overall computer skills.",
"A new computer is sold in the US every hour!",
"When do birds migrate from North to South?",
"Perplexing phrases, like this one, are tough to type.")
word = 10
}
function e() {
msg = new Array("If you can correctly, and quickly, type this perplexing sentence, you are one superb typist!",
"You are one superb typist if you can correctly, and quickly, type this long phrase.",
"I believe you're a good typist, so I believe you will correctly copy this statement!",
"Because this is not a fairly simple phrase, could you swiftly, and precisely, copy it?")
word = 15
}
function s() {
msg = new Array("Computers are the medium of the future.",
"Can you type this phrase rather quickly?",
"Who is the President of the US?",
"I believe that you can type well!")
word = 7
}
function beginIt() {
randNum = Math.floor((Math.random() * 10)) % 4
msgType = msg[randNum]
day = new Date();
startType = day.getTime();
document.theForm.given.value = msgType
document.theForm.typed.value="";
document.theForm.typed.focus();
document.theForm.typed.select();
}
function cheat() {
alert("You can not change that!");
document.theForm.typed.focus();
}
function stopIt() {
dayTwo = new Date();
endType = dayTwo.getTime();
totalTime = ((endType - startType) / 1000)
spd = Math.round((word/totalTime) * 60)
if (document.theForm.typed.value == document.theForm.given.value) {
alert("\nYou typed a " + word + " word sentence in "
+ totalTime + " seconds, a speed of about " + spd + " words per minute!")

$.ajax({
            url: '/games/updateScore/',
            dataType: 'text',
            type: 'post',
            headers: { "X-CSRFToken": getCookie("csrftoken") },
            // contentType: 'application/x-www-form-urlencoded',
            data: { "last_score": spd, "gameObj": $("#hidGameObj").val() },
            success: function (data, textStatus, jQxhr) {
                // $('#response pre').html(data);
                // console.log("AJAX Success");
                $("#spn_best_score").html(JSON.parse(data)["best_score"])
                $("#spn_highest_score").html(JSON.parse(data)["highest_score"])
                // console.log(textStatus);
                // console.log(jQxhr);
            },
            error: function (jqXhr, textStatus, errorThrown) {
                // console.log("AJAX Error");
                console.log(jqXhr);
                console.log(errorThrown);
                console.log(textStatus);
            }
        });

}
else {
alert("You made an error, but typed at a speed of " + spd + " words per minute.")
   }
}

function getCookie(c_name) {
        if (document.cookie.length > 0) {
            c_start = document.cookie.indexOf(c_name + "=");
            if (c_start != -1) {
                c_start = c_start + c_name.length + 1;
                c_end = document.cookie.indexOf(";", c_start);
                if (c_end == -1) c_end = document.cookie.length;
                return unescape(document.cookie.substring(c_start, c_end));
            }
        }
        return "";
    }
// End -->
</SCRIPT>
</HEAD>

<body>
<CENTER>
<FORM name="theForm">
      <input type="hidden" name="hidGameObj" id="hidGameObj" value="{{gameObj}}">
<TABLE BORDER=3 CELLSPACING=0 CELLPADDING=0>
<TR>
<TD>Are you a....</TD>
<TD align=center><input type=radio name="sme" value="Beginner" onClick="s()" checked>Beginner
<input type=radio name="sme" value="Novice" onClick="m()">Novice
<input type=radio name="sme" value="Expert" onClick="e()">Expert</TD>
</TR>
<TR><TD colspan=2><BR>
<center><input type=button value="Start Typing Test" name="start" onClick="beginIt()"></center><P>
<textarea name="given" cols=53 rows=3 wrap=on onFocus="cheat()"></textarea></TD>
</TR>
<TR><TD colspan=2><center><input type=text name="typed" size=45>
<input type=button value="DONE"  name="stop"  onClick="stopIt()"></center></TD>
</TR>
</TABLE></FORM>
</CENTER>

</body>
